Redmine - Defect #2584

NameError
2009-01-26 10:31 - Thomas Lober

Status: Closed Start date: 2009-01-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

When using IssuesController.send(:include, ...) from a self-written plugin | get this error at Redmine startup:
[...J/vendor/rails/activesupport/lib/active_support/dependencies.rb:276:in “load_missing_constant': uninitialized constant
Redmine::Export::PDF::FPDF (NameEtrror)

from [...]J/vendor/rails/activesupport/lib/active_support/dependencies.rb:468:in “const_missing'
from [...J/lib/redmine/export/pdf.rb:25

The solution is to require 'rfpdf/fpdf' in /lib/redmine/export/pdf.rb:

Index: lib/redmine/export/pdf.rb

—-—— lib/redmine/export/pdf.rb (Revision 2317)
+++ lib/redmine/export/pdf.rb (Arbeitskopie)
@@ -17,6 +17,7 @@

require 'iconv'
require 'rfpdf/chinese'
+require 'rfpdf/fpdf'

module Redmine
module Export

Associated revisions

Revision 2321 - 2009-01-27 18:58 - Jean-Philippe Lang
Explicitly require 'rfpdf/fpdf' (#2584).

History

#1 - 2009-01-26 19:25 - Thomas Léber

To be more precise:

The error is caused by the fact that the redmine_* plugins are initialized before the rfpdf plugin. If | access IssuesController in my plugin's init.rb Rails
will automatically load /app/controllers/issues_controller.rb which includes Redmine::Export::PDF which, in turn, expects that the PDF libraries are
already loaded.

#2 - 2009-01-27 18:55 - Jean-Philippe Lang

- Status changed from New to Closed

Fixed in r2321.
